=== debian/changelog ===
antpm (1.16-8) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * fix FTBFS under kfreebsd, tested in virtual machine

 -- Kristof Ralovich <ralovich@in.tum.de>  Sat, 16 Aug 2014 20:06:28 +0200

antpm (1.16-7) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * really link against boost_atomic
    Closes: #757472

 -- Kristof Ralovich <ralovich@in.tum.de>  Mon, 11 Aug 2014 11:40:58 +0200

antpm (1.16-6) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * link against boost_atomic
    Closes: #757472

 -- Kristof Ralovich <ralovich@in.tum.de>  Sat, 09 Aug 2014 15:18:44 +0200

antpm (1.16-5) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * debian/rules: do not call make -j0
  * debian: patch for kfreebsd builds

 -- Kristof Ralovich <ralovich@in.tum.de>  Sat, 02 Aug 2014 16:55:50 +0200

antpm (1.16-4) unstable; urgency=low

  [ RALOVICH, Kristof ]
  * re-upload after deletion of previous version

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 May 2014 07:06:24 +0200

antpm (1.16-3) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * debian/rules: make sure debian/antpm.manpages points to existing files
    Closes: #745444

 -- Christian Perrier <bubulle@debian.org>  Mon, 28 Apr 2014 09:19:16 +0200

antpm (1.16-2) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * fix kFreebsd,Hurd FTBFS
  * don't provide garmin-ant-downloader package for now
  * rename garmin-ant-downloader to antpm-garmin-ant-downloader
  * build antpm-dbg package too

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Apr 2014 06:57:24 +0200

antpm (1.16-1) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * Merge tag 'upstream/20140302'
  * debian/copyright: document removal of GPLv2 only code

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Mar 2014 07:00:02 +0100

antpm (1.15-1) unstable; urgency=low

  [ RALOVICH, Kristof ]
  * Merge tag 'upstream/20140108'
  * debian/changelog is utf-8
  * debian/copyright: further clarification

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Jan 2014 18:53:44 +0100

antpm (1.14-1) unstable; urgency=low

  [ Christian Perrier ]
  * Release 1.14-1 with copyright clarifications from upstream
    (Kristof re-licensed his own code in GPL-3)
  * Bump debhelper compatibility to 9
  * Update Standards to 3.9.5 (checked)
  * Add gbp.conf to use gz compression for upstream tarball

  [ RALOVICH, Kristof ]
  * extend copyright file
  * update changelog too
  * refine debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Jan 2014 07:26:12 +0100

antpm (1.13-1) unstable; urgency=low

  [ RALOVICH, Kristof ]
  * Import upstream version v1.13. Including a fix for problem
    with _orig tarball, and initial identification of different
    watches, to tell the 310 and 405 apart.

  [ Noël Köthe ]
  * Additional a small patch for PROTOCOL_HELP.txt which would
    have helped me and might make it easier for other.;)

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Dec 2013 06:12:01 +0100

antpm (1.12-2) UNRELEASED; urgency=low

  [ Kristof Ralovich ]
  * pkg-config is also a Build-Depends

  [ Christian Perrier ]
  * Add required boost libraries to Build-Depends
  * Bump debhelper compatibility to 9
  * Update Standards to 3.9.5 (checked)

 -- Kristof Ralovich <ralovich@in.tum.de>  Tue, 15 Oct 2013 09:25:02 +0200

antpm (1.12-1) unstable; urgency=low

  * Initial release. Based on ANT+minus to supersede previous
    garmin-ant-downloader package.
    Closes: #690068

 -- Kristof Ralovich <ralovich@in.tum.de>  Mon, 14 Oct 2013 13:53:50 +0200


# Local Variables:
# coding: utf-8
# End:
