=== debian/control ===
Source: antpm
Priority: optional
Section: utils
Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 9~), devscripts (>= 2.10), g++ (>= 4.4) | clang (>= 3.0), libboost-dev (>= 1.41) | libboost1.41-dev, cmake (>= 2.8), libusb-dev, pkg-config (>= 0.25), libxml2-dev,libboost-thread-dev,libboost-filesystem-dev,libboost-system-dev,libboost-date-time-dev,libboost-program-options-dev,libboost-test-dev,libboost-atomic-dev
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/pkg-running/antpm.git
Vcs-Browser: http://git.debian.org/?p=pkg-running/antpm.git;a=summary

Package: antpm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6 (>=4.4.0)
Description: ANT+ information retrieval client for Garmin GPS products
 This software uses the Garmin ANT+ proprietary USB keys and
 communication protocol to retrieve information (such as GPS traces)
 from some Garmin Forerunner watches such as Forerunner 405 and 310XT.
 .
 The underlying ANT+minus implements the ANT/ANT+/ANT-FS protocols to
 provide these tools: garmin-ant-downloader, antpm-downloader,
 antpm-fit2gpx, and antpm-usbmon2ant.
 .
 ANT+minus is a userspace implementation of a wire protocol similar
 to the ANT/ANT+/ANT-FS protocols. The goal is to be able to communicate
 with any ANT capable device in order to e.g. retrieve sports tracks. The
 c++ implementation is currently available under both linux and win.
 Communication with watches other than the 310XT might work, but are
 untested. Please report your experience to help improving the software. 
 .
 The software was originally named "gant" but renamed when packaged
 to avoid confusion with existing Java software.


Package: antpm-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 antpm (= ${binary:Version}),
 ${misc:Depends},
Description: ANT+ information retrieval client for Garmin GPS products
 This software uses the Garmin ANT+ proprietary USB keys and
 communication protocol to retrieve information (such as GPS traces)
 from some Garmin Forerunner watches such as Forerunner 405 and 310XT.
 .
 The underlying ANT+minus implements the ANT/ANT+/ANT-FS protocols to
 provide these tools: garmin-ant-downloader, antpm-downloader,
 antpm-fit2gpx, and antpm-usbmon2ant.
 .
 ANT+minus is a userspace implementation of a wire protocol similar
 to the ANT/ANT+/ANT-FS protocols. The goal is to be able to communicate
 with any ANT capable device in order to e.g. retrieve sports tracks. The
 c++ implementation is currently available under both linux and win.
 Communication with watches other than the 310XT might work, but are
 untested. Please report your experience to help improving the software. 
 .
 The software was originally named "gant" but renamed when packaged
 to avoid confusion with existing Java software.
