=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,22 @@
   ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
 )
 
+
+ADD_EXECUTABLE(sm1
+  sm1.cpp
+)
+TARGET_LINK_LIBRARIES(sm1
+  antpm
+  ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
+)
+
+ADD_EXECUTABLE(lq1
+  lq1.cpp
+)
+TARGET_LINK_LIBRARIES(lq1
+  antpm
+  ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
+)
 
 
 IF(VALGRIND_PROGRAM)
@@ -57,3 +73,7 @@
 ADD_MY_TEST(testUsbmon2AntUsbmon ../antpm-usbmon2ant --op usbmon ${CMAKE_CURRENT_SOURCE_DIR}/2012_12_21_antagent1.usbmon)
 ADD_MY_TEST(testUsbmon2AntFilter ../antpm-usbmon2ant --op filter ${CMAKE_CURRENT_SOURCE_DIR}/2012_12_21_antagent1.usbmon)
 ADD_MY_TEST(testUsbmon2AntCount  ../antpm-usbmon2ant --op count  ${CMAKE_CURRENT_SOURCE_DIR}/2012_12_21_antagent1.usbmon)
+
+
+ADD_MY_TEST(testsm1 sm1)
+ADD_MY_TEST(testlq1 lq1)
