=== debian/changelog ===
antpm (1.17-2) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * antpm: Fix nbcpu computation on non-linux
    Closes: #801578

 -- Kristof Ralovich <ralovich@in.tum.de>  Mon, 12 Oct 2015 20:54:34 +0200

antpm (1.17-1) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * New upstream version 1.17.
  * update to Standards-Version 3.9.6
  * drop patches merged upstream

 -- Kristof Ralovich <ralovich@in.tum.de>  Sat, 10 Oct 2015 00:48:41 +0200

antpm (1.16-9) unstable; urgency=low

  * Team upload

  [ RALOVICH, Kristof ]
  * Remove timestamp macro from source code to make package build reproducible.
    Original patch from Dhole <dhole@openmailbox.org>.
    Closes: #788754

 -- Kristof Ralovich <ralovich@in.tum.de>  Sun, 28 Jun 2015 12:58:40 +0200
