=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 
 NUMCPUS=$(shell grep -c '^processor' /proc/cpuinfo)
 ifeq ($(NUMCPUS),0)
+		NUMCPUS=1
+endif
+ifeq ($(NUMCPUS),)
 		NUMCPUS=1
 endif
