=== debian/changelog ===
antpm (1.19-6build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:51:47 +0000

antpm (1.19-6) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #918906) (Closes: #899963)
  * Switch to autogenerated -dbgsym package.
  * Switch to debhelper-compat (= 12).
  * Migrate GIT repository to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Jan 2019 13:43:50 +0100

antpm (1.19-5) unstable; urgency=low

  * Remove myself from Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Mar 2018 07:32:30 +0100

antpm (1.19-4) unstable; urgency=medium

  * Team upload.

  [ RALOVICH, Kristof ]
  * debian: use Standards-Version 3.9.8

 -- Kristof Ralovich <ralovich@in.tum.de>  Sun, 18 Jun 2017 14:01:19 +0200

antpm (1.19-3) unstable; urgency=medium

  * Team upload.

  [ RALOVICH, Kristof ]
  * Change to unstable after release freeze ended.

 -- Kristof Ralovich <ralovich@in.tum.de>  Sun, 18 Jun 2017 13:42:52 +0200

antpm (1.19-2) experimental; urgency=medium

  * Team upload.

  [ RALOVICH, Kristof ]
  * Change to experimental to avoid messing with release freeze.

 --  Kristof Ralovich <ralovich@in.tum.de>  Sat, 01 Apr 2017 20:40:59 +0200

antpm (1.19-1) unstable; urgency=medium

  * Team upload.

  [ RALOVICH, Kristof ]
  * New upstream version 1.19.

 -- Kristof Ralovich <ralovich@in.tum.de>  Fri, 24 Mar 2017 21:03:30 +0100
