=== debian/changelog ===
antpm (1.20-1) unstable; urgency=medium

  [ RALOVICH, Kristof ]
  * new upstream release
  * fixes segfault and closes LP: #1805997
  * adopt package (Closes: #918906)
  * add watch file

  [ Andreas Beckmann ]
  * Add debian/upstream/metadata.
  * Set Rules-Requires-Root: no.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.
    + Build-Depends: Drop versioned constraint on cmake, devscripts and
      pkg-config.
  * Remove constraints unnecessary since buster.
    + Build-Depends: Drop versioned constraint on libboost-dev.

 -- Kristóf Ralovich <tade60@freemail.hu>  Mon, 08 Nov 2021 11:59:37 +0100
