=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: antpm
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Kristóf Ralovich <tade60@freemail.hu>
 Build-Depends:
  debhelper-compat (= 12),
- cmake (>= 2.8),
- devscripts (>= 2.10),
+ cmake,
+ devscripts,
  libboost-atomic-dev,
  libboost-date-time-dev,
- libboost-dev (>= 1.41),
+ libboost-dev,
  libboost-exception-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
@@ -18,10 +17,12 @@
  libboost-thread-dev,
  libusb-1.0-0-dev,
  libxml2-dev,
- pkg-config (>= 0.25),
+ pkg-config
+Rules-Requires-Root: no
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/antpm.git
 Vcs-Browser: https://salsa.debian.org/debian/antpm
+Homepage: https://github.com/ralovich/antpm
 
 Package: antpm
 Architecture: any
