=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # endif
 
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 NUMCPUS=$(shell grep -c '^processor' /proc/cpuinfo)
 ifeq ($(NUMCPUS),0)
@@ -30,10 +31,6 @@
 override_dh_auto_build:
 	cd cmake-build && $(MAKE) -j$(NUMCPUS)
 
-override_dh_strip:
-	dh_strip --dbg-package=antpm-dbg
-	dh_strip -s --remaining-packages
-
 DESTDIR=../debian/antpm/
 override_dh_install:
 	cd cmake-build && $(MAKE) install DESTDIR=$(DESTDIR)
