## antpm 1.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,12 @@
 
 
 PROJECT(antpm C CXX)
+set(CMAKE_CXX_STANDARD 14)
 
 OPTION(USE_COVERAGE "use gcov" FALSE)
 OPTION(USE_BOOST_TEST "use boost::test" FALSE)
 OPTION(USE_BOOST_STATIC_LINK "link statically against boost" TRUE)
-IF(MSVC)
+IF(MSVC OR APPLE)
   OPTION(USE_GANT "build gant" FALSE)
 ELSE()
   OPTION(USE_GANT "build gant" TRUE)
@@ -42,8 +43,8 @@
   ADD_DEFINITIONS(-D_WIN32_WINNT=0x0500)
 ENDIF()
 
-IF(CMAKE_COMPILER_IS_GNUCXX)
-  set(CMAKE_CXX_FLAGS                "${CMAKE_CXX_FLAGS} -fpermissive  -fms-extensions -std=c++0x -Wall")
+IF(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+  set(CMAKE_CXX_FLAGS                "${CMAKE_CXX_FLAGS} -fpermissive  -fms-extensions -std=c++1y -Wall")
   SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -O2 -g")
   SET(CMAKE_CXX_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE} -O2")
   set(CMAKE_CXX_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g3 -ggdb3")
@@ -57,29 +58,39 @@
   ENDIF()
 ENDIF()
 
-INCLUDE(FindLIBUSB)
-IF(NOT LIBUSB_FOUND)
-  MESSAGE(FATAL_ERROR "Could not find LIBUSB")
+IF(MSVC)
+  INCLUDE(Findlibusb-1.0)
+  IF(NOT LIBUSB_1_FOUND)
+    MESSAGE(FATAL_ERROR "Could not find libusb-1.0")
+  ENDIF()
+ELSE()
+  find_package(PkgConfig REQUIRED)
+  pkg_check_modules(LIBUSB_1 REQUIRED libusb-1.0)
 ENDIF()
 
 IF(USE_BOOST_STATIC_LINK)
+    set(Boost_VERBOSE ON)
+    set(Boost_DEBUG ON)
   set(Boost_USE_STATIC_LIBS        ON)
+  set(Boost_USE_STATIC_RUNTIME    OFF)
 ELSE()
   set(Boost_USE_STATIC_LIBS        OFF)
+  set(Boost_USE_STATIC_RUNTIME    OFF)
+  ADD_DEFINITIONS(-DBOOST_TEST_MAIN)
+  ADD_DEFINITIONS(-DBOOST_TEST_DYN_LINK)
 ENDIF()
 set(Boost_USE_MULTITHREADED      ON)
-set(Boost_USE_STATIC_RUNTIME    OFF)
-FIND_PACKAGE(Boost 1.41.0 COMPONENTS thread unit_test_framework program_options system filesystem date_time REQUIRED)
-IF(NOT Boost_FOUND)
-  MESSAGE(FATAL_ERROR "Boost not found!")
-ENDIF()
+FIND_PACKAGE(Boost 1.41.0 COMPONENTS thread unit_test_framework program_options system filesystem date_time atomic exception REQUIRED)
+#IF(NOT Boost_FOUND)
+#  MESSAGE(FATAL_ERROR "Boost not found!")
+#ENDIF()
 
 
 INCLUDE_DIRECTORIES(.)
-INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${LIBUSB_INCLUDE_DIRS})
-
-LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
+#INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${LIBUSB_1_INCLUDE_DIRS})
+
+#LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
 
 IF(MSVC)
   ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_WARNINGS)
@@ -116,11 +127,14 @@
 )
 IF(NOT WIN32)
   SET(SRCS
-	  ${SRCS}
-    SerialTty.hpp SerialTty.cpp
-	  )
+      ${SRCS}
+      SerialTty.hpp SerialTty.cpp
+      )
   SET(Boost_THREAD_LIBRARY "${Boost_THREAD_LIBRARY};pthread")
   SET(MY_ANTPM_LIBRARIES "stdc++")
+  IF(NOT APPLE)
+    SET(MY_ANTPM_LIBRARIES "${MY_ANTPM_LIBRARIES};rt")
+  ENDIF()
 ENDIF()
 
 
@@ -128,11 +142,13 @@
   ${SRCS}
 )
 TARGET_LINK_LIBRARIES(antpm
-  ${Boost_DATE_TIME_LIBRARY}
-  ${LIBUSB_LIBRARIES}
-  ${Boost_THREAD_LIBRARY}
-  ${Boost_SYSTEM_LIBRARY}
-  ${Boost_FILESYSTEM_LIBRARY}
+  Boost::date_time
+  ${LIBUSB_1_LIBRARIES}
+  Boost::thread
+  Boost::atomic
+  Boost::exception
+  Boost::system
+  Boost::filesystem
   ${MY_ANTPM_LIBRARIES}
 )
 
@@ -141,7 +157,7 @@
 )
 TARGET_LINK_LIBRARIES(antpm-usbmon2ant
   antpm
-  ${Boost_PROGRAM_OPTIONS_LIBRARY}
+  Boost::program_options
 )
 INSTALL(TARGETS antpm-usbmon2ant RUNTIME DESTINATION bin)
 
@@ -151,7 +167,7 @@
 )
 TARGET_LINK_LIBRARIES(antpm-downloader
   antpm
-  ${Boost_PROGRAM_OPTIONS_LIBRARY}
+  Boost::program_options
 )
 INSTALL(TARGETS antpm-downloader RUNTIME DESTINATION bin)
 
@@ -161,7 +177,7 @@
 )
 TARGET_LINK_LIBRARIES(antpm-fit2gpx
   antpm
-  ${Boost_PROGRAM_OPTIONS_LIBRARY}
+  Boost::program_options
 )
 INSTALL(TARGETS antpm-fit2gpx RUNTIME DESTINATION bin)
