=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 ADD_MY_TEST(testDateTime2 testDateTime --help)
 
-ADD_MY_TEST(testDownload ../antpm-downloader)
+#ADD_MY_TEST(testDownload ../antpm-downloader)
 
 ADD_MY_TEST(testFit2Gpx ../antpm-fit2gpx)
 
@@ -75,5 +75,5 @@
 ADD_MY_TEST(testUsbmon2AntCount  ../antpm-usbmon2ant --op count  ${CMAKE_CURRENT_SOURCE_DIR}/2012_12_21_antagent1.usbmon)
 
 
-ADD_MY_TEST(testsm1 sm1)
+#ADD_MY_TEST(testsm1 sm1)
 ADD_MY_TEST(testlq1 lq1)
