=== debian/changelog ===
antpm (1.21-3) unstable; urgency=medium

  [ Kristof Ralovich ]
  * debian/controls: standards version 4.7.0
  * debian: run tests too
  * debian: enable building package twice in a row

 -- Kristóf Ralovich <tade60@freemail.hu>  Sat, 11 Jan 2025 23:52:55 +0100

antpm (1.21-2) unstable; urgency=medium

  [ Kristof Ralovich ]
  * debian/rules: remove cmake-build folder during clean target
   (Closes: #1043951)

  [ Petter Reinholdtsen ]
  * antpm: Add Appstream metainfo announcing HW support
   (Closes: #1079380)

  [ Andreas Beckmann ]
  * Switch Build-Depends from obsolete pkg-config to pkgconf.

 -- Kristóf Ralovich <tade60@freemail.hu>  Fri, 20 Dec 2024 16:02:29 +0100

antpm (1.21-1) unstable; urgency=medium

  [ RALOVICH, Kristof ]
  * new upstream release, fixes gcc 13 build (Closes: #1037577)
  * linking against boost statically
  * switch to debhelper-compat (= 13)
  * use Standards-Version 4.6.2

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    (Closes: #999884)

 -- Kristóf Ralovich <tade60@freemail.hu>  Mon, 31 Jul 2023 02:24:53 +0200
