=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Maintainer: Kristóf Ralovich <tade60@freemail.hu>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
  devscripts,
  libboost-atomic-dev,
@@ -17,9 +17,10 @@
  libboost-thread-dev,
  libusb-1.0-0-dev,
  libxml2-dev,
- pkg-config
+ pkgconf,
+ valgrind
 Rules-Requires-Root: no
-Standards-Version: 3.9.8
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/antpm.git
 Vcs-Browser: https://salsa.debian.org/debian/antpm
 Homepage: https://github.com/ralovich/antpm
