=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,18 @@
 	dh $@
 
 override_dh_auto_configure:
-	mkdir cmake-build
-	cd cmake-build && cmake ../src -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
+	dh_auto_configure --sourcedirectory=src --builddirectory=cmake-build -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)" -DUSE_BOOST_TEST=TRUE
 
 override_dh_auto_build:
-	cd cmake-build && $(MAKE) -j$(NUMCPUS)
+	cd cmake-build && $(MAKE) -j$(NUMCPUS) VERBOSE=true
+
+override_dh_auto_test:
+	cd cmake-build && ctest -N && ctest -j$(NUMCPUS)
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) src/tests/config_tmp.ini
+	$(RM) -r cmake-build
 
 DESTDIR=../debian/antpm/
 override_dh_install:
